gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Management of errors.

To be added GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void ``

  Frees all error objects in the list and the list itself. After this function has been called, the errors parameter doesn't point to valid storage any more.

  a To be added
- Method
  GLib.List ``

  Creates a new list which contains the same errors as errors and adds a reference for each error in the list.

  a a To be added
- Method
  System.Void To be added To be added
- Method
  System.Void

  Frees the memory allocated by the error object.

  To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  Default constructor.
  a
  To be added
- Property
  System.String

  Gets error's SQL state.

  Sets error's SQL state.

  a To be added
- Property
  System.String

  Gets error's source.

  Sets error's source.

  a To be added
- Property
  System.Int64

  Gets error's number.

  Sets error's number.

  a To be added
- Property
  System.String

  Gets error's description.

  Sets error's description

  a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.